function EipToOpcuaUpdatePage()
{
	var SaveGlobalVariable = function(Row){EipToOpcuaUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return EipToOpcuaUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){EipToOpcuaUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){EipToOpcuaUpdatePage.prototype._Initialization_();};
}










function EipToOpcuaFirstPage()
{
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){EipToOpcuaFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){EipToOpcuaFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){EipToOpcuaFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){EipToOpcuaFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){EipToOpcuaFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return EipToOpcuaFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return EipToOpcuaFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return EipToOpcuaFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformOpcUa = function(){return EipToOpcuaFirstPage.prototype._IsAllTransformOpcUa_();};
  //初始化
  this.Initialization = function(){EipToOpcuaFirstPage.prototype._Initialization_();};
  //Save
  this.SaveEipToOpcua = function(){EipToOpcuaFirstPage.prototype._SaveEipToOpcua_();};
  //按鈕
  this.EditButton = function(that){EipToOpcuaFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){EipToOpcuaFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){EipToOpcuaFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){EipToOpcuaFirstPage.prototype._ChangeCheckbox_(that);};
}










function EipToOpcuaSecondPage()
{
  //變數表
  var VariableTableAddNewRow       = function(number){EipToOpcuaSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){EipToOpcuaSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){EipToOpcuaSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return EipToOpcuaSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){EipToOpcuaSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(){EipToOpcuaSecondPage.prototype._ConfirmButton_();};
  this.NoConfirmButton = function(){EipToOpcuaSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyEipToOpcuaVariableObject= function(that){EipToOpcuaSecondPage.prototype._ModifyEipToOpcuaVariableObject_(that);};
  var SetFormInitialValue = function(number){EipToOpcuaSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){EipToOpcuaSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return EipToOpcuaSecondPage.prototype._GetReadWriteType_(string);};
}